Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056675 - Systemd file for UDP service incorrectly named
Summary: Systemd file for UDP service incorrectly named
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: amanda
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1059994
TreeView+ depends on / blocked
 
Reported: 2014-01-22 17:17 UTC by Jason Tibbitts
Modified: 2014-02-11 23:16 UTC (History)
3 users (show)

Fixed In Version: amanda-3.3.3-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1059994 (view as bug list)
Environment:
Last Closed: 2014-02-11 23:11:22 UTC


Attachments (Terms of Use)

Description Jason Tibbitts 2014-01-22 17:17:05 UTC
I installed a fresh F20 machine and added it to my amanda rotation.  My amanda server is way too old, so I still have to use the UDP services.  (Given this problem I suspect that I am the only Fedora user of UDP-based amanda.)  Unfortunately the systemd configuration files for amanda are incorrect, which prevents the socket from being enabled.

The amanda-udp.socket file has:

Service=amanda-udp.service

But the package itself has no file of that name, only amanda-udp@.service.  Trying to start the socket gets you:

Jan 22 10:55:50 epithumia.math.uh.edu systemd[1]: Socket service amanda-udp.service not loaded, refusing.
Jan 22 10:55:50 epithumia.math.uh.edu systemd[1]: Failed to listen on Amanda Activation Socket.

which isn't the clearest message, but it is trying to say that there simply is no configured service named "amanda-udp.service".

Since you only ever want one instance of the UDP server, the .socket file is correct and simply renaming amanda-udp@.service to amanda-udp.service (and doing systemctl daemon-reload) works fine.

Comment 1 Doug McLaren 2014-01-31 02:34:06 UTC
You're not the only one using it -- I ran into the same problem.

Your fix helped me as well.  Thanks!

My Amanda server isn't *that* old -- 3.3.0.  Looks like I set it up in September of 2011.

Comment 2 Petr Hracek 2014-01-31 10:00:01 UTC
Thanks for the bug.
I will fix the bug.

Comment 3 Fedora Update System 2014-01-31 10:54:36 UTC
amanda-3.3.3-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/amanda-3.3.3-9.fc20

Comment 4 Petr Hracek 2014-01-31 11:00:38 UTC
scm-commit (https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20140127/1182472.html)

The service file was changed. New name is amanda-udp.service.

Comment 5 Fedora Update System 2014-01-31 14:18:44 UTC
amanda-3.3.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/amanda-3.3.3-6.fc19

Comment 6 Fedora Update System 2014-02-01 04:03:59 UTC
Package amanda-3.3.3-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing amanda-3.3.3-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1871/amanda-3.3.3-9.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-02-11 23:11:22 UTC
amanda-3.3.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-02-11 23:16:02 UTC
amanda-3.3.3-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.